Skip to Content
Deposits

Get Lightning deposits

GET/account/deposits/lightningPrivate

Get your Lightning deposits, optionally only the settled (settled=true) or unsettled (settled=false) ones. Paginated, newest first.

Permissions: account:deposits:read

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-11-09T17:08:56.661Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?string

Cursor for pagination

Formatdate-time
settled?string

Filter by settled status

Response Body

OK

application/json
  1. response
data*array<|>
nextCursor*|

Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.

import { createHttpClient } from '@ln-markets/sdk/rest/v3'

const client = createHttpClient({
  key: 'your-key',
  secret: 'your-secret',
  passphrase: 'your-passphrase',
})

const result = await client.account.getLightningDeposits({
  from: '1970-01-01T00:00:00.000Z',
  to: '2026-11-09T17:08:56.136Z',
  limit: 500
})
{
  "data": [
    {
      "id": "69c09d09-8ce9-446b-a3c6-455fed8b3048",
      "createdAt": "2024-02-07T14:58:12.272Z",
      "amount": 10000,
      "paymentHash": "Cca7507897abc89628f450e8b1e0c6fca4ec3f7b34cccf55f3f531c659ff4d79",
      "settledAt": "2024-02-07T14:58:12.272Z",
      "comment": "Hello world"
    }
  ],
  "nextCursor": "2024-01-15T10:30:00.000Z"
}